Edit a Workspace field
PATCH
Rename or move a Workspace field, or change a choice field's options (a removed option's values clear). Its type can't change.
header
AuthorizationBearer <token>A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.
field_id*stringMatch
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Idempotency-Key*stringLength
8 <= length <= 200SMB-Workspace-Id*stringFormat
uuidapplication/json- body
name*stringLength
1 <= length <= 120options?array<>Items
1 <= items <= 50position?integerRange
0 <= value <= 10000expected_version?SmbV0OperationsDeleteWorkspaceFieldRequestExpectedVersionRange
0 < value <= 9007199254740991Successful authorized response.
application/json- response
data*request_id*stringaction_receipt*idempotent_replay*smb_v0_operations_create_list_request.__local.properties.body.__schema16curl -X PATCH 'https://example.com/v1/workspace-fields/string' \ -H 'Idempotency-Key: stringst' \ -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{ "expected_version": 1}'{ "data": { "field_id": "string", "name": "string", "value_type": "text", "position": 0, "options": [ { "id": "string", "label": "string", "color": "gray" } ], "version": 1 }, "request_id": "string", "action_receipt": { "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7", "command_id": "7d510d78-7444-4252-aeac-9e473949661e", "operation": "update_workspace_field", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" }, "idempotent_replay": true}